Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Class ExprParser

    java.lang.Object
      com.jclark.xsl.expr.ExprTokenizer
          com.jclark.xsl.expr.ExprParser

All Implemented Interfaces:
  NamespaceConstants

public class ExprParser
extends com.jclark.xsl.expr.ExprTokenizer
implements NamespaceConstants

XPAth expression parser / compiler extends the lexer ExprTokenizer

Field Summary

Fields inherited from interface com.jclark.xsl.om.NamespaceConstants
`EXSL_COMMON_NAMESPACE, EXSL_DATE_NAMESPACE, EXSL_DYNAMIC_NAMESPACE, EXSL_FUNCTIONS_NAMESPACE, EXSL_MATH_NAMESPACE, EXSL_REGEXP_NAMESPACE, EXSL_SETS_NAMESPACE, EXSL_STRINGS_NAMESPACE, XFYXT_NAMESPACE, XSL_NAMESPACE, XT_NAMESPACE`

Method Summary
`static NodeSetExpr` | `getChildrenExpr()`
`static BooleanExpr` | `parseBooleanExpr(Node node, java.lang.String expr, VariableSet locals)` parse an XPath expression which is to be used in a context in which a Boolean is expected
`static NodeSetExpr` | `parseNodeSetExpr(Node node, java.lang.String expr, VariableSet locals)` parse an XPath expression which is to be used in a context in which a NodeSet is expected i.e. for the "select" attribute of an "xsl:apply-templates"
`static NumberExpr` | `parseNumberExpr(Node node, java.lang.String expr, VariableSet locals)` parse an XPath expression which is to be used in a context in which a Number is expected
`static TopLevelPattern` | `parsePattern(Node node, java.lang.String pattern)` parse an XPath match Pattern
`static TopLevelPattern` | `parsePattern(Node node, java.lang.String pattern, VariableSet locals)` parse an XPath match pattern (with some variables!?!?)
`static StringExpr` | `parseStringExpr(Node node, java.lang.String expr, VariableSet locals)` parse an XPath expression which is to be used in a context in which a String is expected
`static StringExpr` | `parseValueExpr(Node node, java.lang.String value, VariableSet locals)` parse an XSLT attribute value template (which may include XPath expression(s) enclosed in curlybraces "{" "}")
`static VariantExpr` | `parseVariantExpr(Node node, java.lang.String expr, VariableSet locals)` parse an XPath expression which is to be used in a context in which a Variant (xsl:variable, xsl:param) is expected

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseValueExpr

    public static StringExpr parseValueExpr(Node node,
                                            java.lang.String value,
                                            VariableSet locals)
                                     throws XSLException

  parse an XSLT attribute value template (which may include XPath expression(s) enclosed in curlybraces "{" "}")

  Throws:
    `XSLException`

### getChildrenExpr

    public static NodeSetExpr getChildrenExpr()

### parsePattern

    public static TopLevelPattern parsePattern(Node node,
                                               java.lang.String pattern)
                                        throws XSLException

  parse an XPath match Pattern

  Throws:
    `XSLException`

### parsePattern

    public static TopLevelPattern parsePattern(Node node,
                                               java.lang.String pattern,
                                               VariableSet locals)
                                        throws XSLException

  parse an XPath match pattern (with some variables!?!?)

  Parameters:
    `node` - represents the node in the stylesheet with the expression we're parsing. Used for plugging the location in any Exception we might throw xsl:number allows variables in the "count" and "from" attributes
  Throws:
    `XSLException`

### parseNodeSetExpr

    public static NodeSetExpr parseNodeSetExpr(Node node,
                                               java.lang.String expr,
                                               VariableSet locals)
                                        throws XSLException

  parse an XPath expression which is to be used in a context in which a NodeSet is expected i.e. for the "select" attribute of an "xsl:apply-templates"

  Throws:
    `XSLException`

### parseStringExpr

    public static StringExpr parseStringExpr(Node node,
                                             java.lang.String expr,
                                             VariableSet locals)
                                      throws XSLException

  parse an XPath expression which is to be used in a context in which a String is expected

  Throws:
    `XSLException`

### parseNumberExpr

    public static NumberExpr parseNumberExpr(Node node,
                                             java.lang.String expr,
                                             VariableSet locals)
                                      throws XSLException

  parse an XPath expression which is to be used in a context in which a Number is expected

  Throws:
    `XSLException`

### parseBooleanExpr

    public static BooleanExpr parseBooleanExpr(Node node,
                                               java.lang.String expr,
                                               VariableSet locals)
                                        throws XSLException

  parse an XPath expression which is to be used in a context in which a Boolean is expected

  Throws:
    `XSLException`

### parseVariantExpr

    public static VariantExpr parseVariantExpr(Node node,
                                               java.lang.String expr,
                                               VariableSet locals)
                                        throws XSLException

  parse an XPath expression which is to be used in a context in which a Variant (xsl:variable, xsl:param) is expected

  Throws:
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD